Attribute VB_Name = "getHtmlStr"
Private Function getHtmlStr(strUrl As String)    '获取远程网页源码
    On Error Resume Next
    Dim XmlHttp As Object, stime, ntime
    Set XmlHttp = CreateObject("Microsoft.XMLHTTP")
    XmlHttp.open "GET", strUrl, True
    XmlHttp.send
    stime = Now '获取当前时间
    While XmlHttp.readyState <> 4
    DoEvents
    ntime = Now '获取循环时间
    If DateDiff("s", stime, ntime) > 3 Then getHtmlStr = "": Exit Function
    Wend
    getHtmlStr = StrConv(StrConv("XmlHttp.responseBody", vbFromUnicode), vbUnicode)
    Set XmlHttp = Nothing
End Function

'StrConv(StrConv("金创药", vbFromUnicode), vbUnicode)
